function FMaerodynamic

global U0 W0 L0 dl airRho La L0 modesNo
global u q
global F_p M_p
global q_p
global F_p_ddq_coef F_p_dq_coef F_p_q_coef
% State space formulation
global stateVarNo           % No of state variables
global ctrlParmNo           % No of control parameters
global ExpressionVectorSize % No of elements in an 'expression vector'
global ss                   % State vector
global AA BB CC0 CC1 CC2 DD % System equation matrices
global LastEqnNo            % Variable to keep track of the number of equation incorporated

% VV = [ independent_term
%        DDcp(1) DDcp(2) ... DDcp(ctrlParmNo)    Dcp(1) Dcp(2) ... Dcp(ctrlParmNo)   cp(1) cp(2) ... cp(ctrlParmNo)
%        Du Dv Dw    u v w    DDpAng DDqAng DDrAng    DpAng DqAng DrAng    pAng qAng rAng
%        DDq_p(1) DDq_p(2) ... DDq_p(modesNo)   Dq_p(1)  Dq_p(2) ...  Dq_p(modesNo)    q_p(1)  q_p(2) ...  q_p(modesNo) ]
%

alpha = atan(W0/U0);    % Angle of attack
A3 = 0.01;                % Reference area ?????

aeroF = zeros(1+round(L0/dl), ExpressionVectorSize);
for x = 0:dl:L0,
    indx = 1+round(x/dl);
    tmpCnAlpha = CnAlpha(x);
    aeroF(indx, 1) = aeroF(indx, 1) - 0.5*airRho*U0*U0*alpha*tmpCnAlpha;    % const term
    aeroF(indx, 1+3*ctrlParmNo+11) = aeroF(indx, 1+3*ctrlParmNo+11) - 0.5*airRho*U0*tmpCnAlpha*(La-L0+x); % q
    aeroF(indx, 1+3*ctrlParmNo+4) = aeroF(indx, 1+3*ctrlParmNo+4) - 0.5*airRho*2*U0*alpha*tmpCnAlpha - 0.5*airRho*tmpCnAlpha*(La-L0+x); % u
    for m = 1:modesNo,
        aeroF(indx, 1+3*ctrlParmNo+15+2*modesNo+m) = aeroF(indx, 1+3*ctrlParmNo+15+2*modesNo+m) - 0.5*airRho*U0*U0*tmpCnAlpha*Dphi_p(m, x);
        aeroF(indx, 1+3*ctrlParmNo+15+modesNo+m) = aeroF(indx, 1+3*ctrlParmNo+15+modesNo+m) - 0.5*airRho*U0*tmpCnAlpha*phi_p(m, x);
    end
    
    M_p(indx, :) = M_p(indx, :) - aeroF(indx, :)*(La-x);
end

F_p = F_p + aeroF;
