function FMgravity

global U0 W0 L0 dl airRho La L0 modesNo
global u q xcg LC m0
global F_a F_p M_p
global q_p
global F_p_ddq_coef F_p_dq_coef F_p_q_coef
global pAng0 qAng0 rAng0
% State space formulation
global stateVarNo           % No of state variables
global ctrlParmNo           % No of control parameters
global ExpressionVectorSize % No of elements in an 'expression vector'
global ss                   % State vector
global AA BB CC0 CC1 CC2 DD % System equation matrices
global LastEqnNo            % Variable to keep track of the number of equation incorporated

% VV = [ independent_term
%        DDcp(1) DDcp(2) ... DDcp(ctrlParmNo)    Dcp(1) Dcp(2) ... Dcp(ctrlParmNo)   cp(1) cp(2) ... cp(ctrlParmNo)
%        Du Dv Dw    u v w    DDpAng DDqAng DDrAng    DpAng DqAng DrAng    pAng qAng rAng
%        DDq_p(1) DDq_p(2) ... DDq_p(modesNo)   Dq_p(1)  Dq_p(2) ...  Dq_p(modesNo)    q_p(1)  q_p(2) ...  q_p(modesNo) ]
%

indx = 1+round((xcg+LC)/dl);
F_a(indx, 1+3*ctrlParmNo+14) = F_a(indx, 1+3*ctrlParmNo+14) + m0*9.8*sin(qAng0)/dl;
F_p(indx, 1+3*ctrlParmNo+14) = F_p(indx, 1+3*ctrlParmNo+14) - m0*9.8*cos(qAng0)/dl;
M_p(indx, 1+3*ctrlParmNo+14) = M_p(indx, 1+3*ctrlParmNo+14) + m0*(zcg*sin(qAng0) + xcg*cos(qAng0));
