function FMthrust
% Adds moments and forces due to thrust
% Presently only for pitch plane
global dl LC modesNo
global del_p d_del_p dd_del_p   % Thrust angle in pitch plane
global del_y d_del_y dd_del_p   % Thrust angle in yaw plane
global Tc Ts                    % Thrust values
global F_p M_p DC_p
% State space formulation
global stateVarNo           % No of state variables
global ctrlParmNo           % No of control parameters
global ExpressionVectorSize % No of elements in an 'expression vector'
global ss                   % State vector
global AA BB CC0 CC1 CC2 DD % System equation matrices
global LastEqnNo            % Variable to keep track of the number of equation incorporated

% VV = [ independent_term
%        DDcp(1) DDcp(2) ... DDcp(ctrlParmNo)    Dcp(1) Dcp(2) ... Dcp(ctrlParmNo)   cp(1) cp(2) ... cp(ctrlParmNo)
%        Du Dv Dw    u v w    DDpAng DDqAng DDrAng    DpAng DqAng DrAng    pAng qAng rAng
%        DDq_p(1) DDq_p(2) ... DDq_p(modesNo)   Dq_p(1)  Dq_p(2) ...  Dq_p(modesNo)    q_p(1)  q_p(2) ...  q_p(modesNo) ]
%

F_p(1, 1+2*ctrlParmNo+1) = F_p(1, 1+2*ctrlParmNo+1) +  Tc/dl;     % Coeff. of control parameter del_p
for m = 1:modesNo,
    F_p(1, 16+3*ctrlParmNo+2*modesNo+m) = F_p(1, 16+3*ctrlParmNo+2*modesNo+m) - (Tc+Ts)*Dphi_p(m, 0)/dl;
end

M_p(1, 1+2*ctrlParmNo+1) = M_p(1, 1+2*ctrlParmNo+1) +  LC*Tc/dl;     % Coeff. of control parameter del_p
for m = 1:modesNo,
    M_p(1, 16+3*ctrlParmNo+2*modesNo+m) = M_p(1, 16+3*ctrlParmNo+2*modesNo+m) - LC*(Tc+Ts)*Dphi_p(m, 0)/dl - (Tc+Ts)*phi_p(m, 0)/dl;
end
