function structuralEqn_p
% first order precision
global L0 dl dt modesNo meu
global zeta_p       % Damping coefficient
global omgMode_p    % Modal frequency for pitch plane modes
global q_p          % Coefficients of Mode shapes - 'modesNo' Time dependant scalers
global dq_p         % Time derivatives of q_p
global ddq_p        % 2nd time derivatives of q_p
global F_p          % Force per unit length in Pitch plane = force along Z axis --> Function of length
global M_p          % Moment per unit length in Pitch plane = moment along Y axis --> Function of length
global DC_p
% Yaw plane parameters
global zeta_y       % Damping coefficient
global omgMode_y    % Modal frequency for yaw plane modes
global q_y          % Coefficients of Mode shapes - 'modesNo' Time dependant scalers
global dq_y         % Time derivatives of q_y
global ddq_y        % 2nd time derivatives of q_y
global F_y          % Force per unit length in Yaw plane = force along Y axis --> Function of length
global M_y          % Moment per unit length in Yaw plane = moment along Z axis --> Function of length
global time Tdata1 Tdata2

% State space formulation
global stateVarNo           % No of state variables
global ctrlParmNo           % No of control parameters
global ExpressionVectorSize % No of elements in an 'expression vector'
global ss                   % State vector
global AA BB CC0 CC1 CC2 DD % System equation matrices
global LastEqnNo            % Variable to keep track of the number of equation incorporated

% VV = [ independent_term
%        DDcp(1) DDcp(2) ... DDcp(ctrlParmNo)    Dcp(1) Dcp(2) ... Dcp(ctrlParmNo)   cp(1) cp(2) ... cp(ctrlParmNo)
%        Du Dv Dw    u v w    DDpAng DDqAng DDrAng    DpAng DqAng DrAng    pAng qAng rAng
%        DDq_p(1) DDq_p(2) ... DDq_p(modesNo)   Dq_p(1)  Dq_p(2) ...  Dq_p(modesNo)    q_p(1)  q_p(2) ...  q_p(modesNo) ]
%

for n = 1:modesNo, % looping over n equations
    
    genM = 0;
    for m = 1:ExpressionVectorSize,
        genQ(m) = 0;
    end
    for x = 0:dl:L0,
        tmpPhi = phi_p(n, x);
        for m = 1:ExpressionVectorSize,
            genQ(m) = genQ(m) + (F_p(1+round(x/dl), m)- DC_p(1+round(x/dl)))*tmpPhi*dl;
        end
        genM = genM + meu*tmpPhi*tmpPhi*dl;
    end
    genQbyM = genQ/genM;

    thisEqnVector = -genQbyM;
    thisEqnVector(16+3*ctrlParmNo+n) = thisEqnVector(16+3*ctrlParmNo+n) + 1.0;
    thisEqnVector(16+3*ctrlParmNo+modesNo+n) = thisEqnVector(16+3*ctrlParmNo+modesNo+n) + 2*zeta_p(n)*omgMode_p(n);
    thisEqnVector(16+3*ctrlParmNo+2*modesNo+n) = thisEqnVector(16+3*ctrlParmNo+2*modesNo+n) + omgMode_p(n)*omgMode_p(n);

    generateEquation(thisEqnVector);
    
end
